ApiGet Fed Cm Config
GET
/{projectId}/fedcm/config

Path Parameters

projectId*string

Get project federated CM configuration

curl -X GET "https://api.descope.com/string/fedcm/config"
{  "accounts_endpoint": "string",  "client_metadata_endpoint": "string",  "id_assertion_endpoint": "string",  "disconnect_endpoint": "string",  "login_url": "string",  "branding": {    "background_color": "string",    "color": "string",    "icons": [      {        "url": "string",        "size": 0      }    ]  }}
/** * According to https://developers.google.com/privacy-sandbox/3pcd/fedcm-developer-guide#idp-config-file */export interface Response {accounts_endpoint?: stringclient_metadata_endpoint?: stringid_assertion_endpoint?: stringdisconnect_endpoint?: stringlogin_url?: stringbranding?: FedCMBranding}export interface FedCMBranding {background_color?: stringcolor?: stringicons?: FedCMIcon[]}export interface FedCMIcon {url?: stringsize?: number}
Was this helpful?